< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package play
  Definition Classes
    hmrc
-  package bootstrap
  Definition Classes
    play
-  package frontend
  Definition Classes
    bootstrap
-  package filters
  Definition Classes
    frontend
-  package crypto
  Definition Classes
    filters
- ApplicationCryptoProvider
- CryptoImplicits
- DefaultSessionCookieCryptoFilter
- SessionCookieCrypto
- SessionCookieCryptoFilter
- SessionCookieCryptoProvider

c

uk.gov.hmrc.play.bootstrap.frontend.filters.crypto

# DefaultSessionCookieCryptoFilter 

###

#### class DefaultSessionCookieCryptoFilter extends SessionCookieCryptoFilter

Linear Supertypes
SessionCookieCryptoFilter, CryptoImplicits, Filter, EssentialFilter, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DefaultSessionCookieCryptoFilter
2. SessionCookieCryptoFilter
3. CryptoImplicits
4. Filter
5. EssentialFilter
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new DefaultSessionCookieCryptoFilter(sessionCookieCrypto: SessionCookieCrypto, sessionBaker: SessionCookieBaker)(implicit mat: Materializer, ec: ExecutionContext)
   Annotations
     @Inject()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def apply(next: (RequestHeader) ⇒ Future[Result])(rh: RequestHeader): Future[Result]
   Definition Classes
     SessionCookieCryptoFilter → Filter
5.  def apply(next: EssentialAction): EssentialAction
   Definition Classes
     Filter → EssentialFilter
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def asJava: EssentialFilter
   Definition Classes
     EssentialFilter
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
9.  implicit def cryptToString(c: Crypted): String
   Attributes
     protected
   Definition Classes
     CryptoImplicits
10.  val decodeCookieHeader: (String) ⇒ Seq[Cookie]
    Attributes
      protected
    Definition Classes
      SessionCookieCryptoFilter
11.  lazy val decrypter: Decrypter
    Attributes
      protected
    Definition Classes
      DefaultSessionCookieCryptoFilter → SessionCookieCryptoFilter
12.  implicit val ec: ExecutionContext
    Definition Classes
      DefaultSessionCookieCryptoFilter → SessionCookieCryptoFilter
13.  lazy val encrypter: Encrypter
    Attributes
      protected
    Definition Classes
      DefaultSessionCookieCryptoFilter → SessionCookieCryptoFilter
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
16.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
17.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  implicit val mat: Materializer
    Definition Classes
      DefaultSessionCookieCryptoFilter → Filter
21.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  implicit def plainToString(p: PlainText): String
    Attributes
      protected
    Definition Classes
      CryptoImplicits
25.  val sessionBaker: SessionCookieBaker
    Definition Classes
      DefaultSessionCookieCryptoFilter → SessionCookieCryptoFilter
26.  implicit def strToCrypt(s: String): Crypted
    Attributes
      protected
    Definition Classes
      CryptoImplicits
27.  implicit def strToPlain(s: String): PlainContent
    Attributes
      protected
    Definition Classes
      CryptoImplicits
28.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
29.  def toString(): String
    Definition Classes
      AnyRef → Any
30.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
31.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
32.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from SessionCookieCryptoFilter

### Inherited from CryptoImplicits

### Inherited from Filter

### Inherited from EssentialFilter

### Inherited from AnyRef

### Inherited from Any

### Ungrouped